## jasp 0.8.0.0~beta2+git154

=== JASP-Engine/JASP/DESCRIPTION ===
Package: JASP
Type: Package
Title: What the package does (short line)
Version: 1.0
Date: 2013-08-14
Author: Who wrote it
Maintainer: Who to complain to <yourfault@somewhere.net>
Description: More about what it does (maybe more than one line)
License: What license is it under?
Imports:

## jasp 0.8.0.0~beta2+git154-g375aad9~dfsg.1

=== debian/changelog ===
jasp (0.8.0.0~beta2+git154-g375aad9~dfsg.1-1~nd90+1+nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.

 -- unamed <unknown>  Tue, 01 Nov 2016 22:37:33 -0400

jasp (0.8.0.0~beta2+git154-g375aad9~dfsg.1-1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Thu, 22 Sep 2016 21:18:50 +0200

jasp (0.8.0.0~beta2+git154-g375aad9~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code.
  * Refurbish Debian packing based on the existing Ubuntu packaging.
    Switch primary maintainer to team@neuro.debian.net.
  * Switch to out-of-source-tree builds.
  * Add 'get-orig-source' target to build a source tarball from the
    Git repository content.
  * Clean up dependency specification to avoid meta packages and
    automatically discovered dependencies.
  * Add patch to minimize customization of the runtime environment.
  * Added minimal manpage.
  * Removed outdated 'menu' file, 'desktop' file is sufficient.
  * Add patch to avoid using embedded copies of libarchive headers.
  * Use system package libjs-marked, instead of embedded copy.

 -- Michael Hanke <mih@debian.org>  Thu, 22 Sep 2016 19:55:07 +0200

jasp (0.7.5.261-0ubuntu0ppa1~wily) wily; urgency=low

  * Initial release.

 -- JASP-UvA  <b.bountin@uva.nl>  Fri, 21 Apr 2016 14:12:11 +0100

=== debian/control ===
Source: jasp
Maintainer: NeuroDebian Team <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
           jasp-uva <b.boutin@uva.nl>
Section: science
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               libarchive-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libqt5webkit5-dev,
               libqt5widgets5,
               libqt5svg5-dev,
               qtbase5-dev,
               r-base-core,
               r-cran-rcpp,
               r-cran-rinside,
               r-cran-testthat,
Homepage: https://jasp-stats.org
Vcs-Browser: https://github.com/neurodebian/jasp-desktop
Vcs-Git: https://github.com/neurodebian/jasp-desktop.git

Package: jasp
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends},
         ${misc:Depends},
         libjs-marked,
         r-base-core,
         r-cran-afex,
         r-cran-bayesfactor,
         r-cran-car,
         r-cran-effects,
         r-cran-hypergeo,
         r-cran-lme4,
         r-cran-logspline,
Recommends: r-cran-ggplot2,
            r-cran-lsmeans,
            r-cran-plotrix,
            r-cran-rcpp,
            r-cran-rinside,
            r-cran-rjson,
            r-cran-vcd,
            r-cran-vcdextra,
Description: Bayesian statistics made accessible
 This is a statistics package with a graphical user interface.
 Its authors consider it "a low fat alternative to SPSS, a delicious
 alternative to R. Bayesian statistics made accessible."

## jasp 0.8.1.0~dfsg.1

=== debian/changelog ===
jasp (0.8.1.0~dfsg.1-1~nd16.04+1) xenial; urgency=medium

  * Backported for xenial.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Sun, 19 Mar 2017 19:46:35 +0100

jasp (0.8.1.0~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream release (skipped 0.8.0.0).
  * Added runtime-dependency to r-cran-rjson.

 -- Michael Hanke <mih@debian.org>  Sun, 19 Mar 2017 17:56:52 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libqt5widgets5,
                libqt5svg5-dev,
                qtbase5-dev,
+               r-cran-bayesfactor,
                r-base-core,
                r-cran-rcpp,
                r-cran-rinside,
@@ -36,6 +37,7 @@
          r-cran-hypergeo,
          r-cran-lme4,
          r-cran-logspline,
+         r-cran-rjson,
 Recommends: r-cran-ggplot2,
             r-cran-lsmeans,
             r-cran-plotrix,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export QT_SELECT = 5

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# this figures out the last merge point from 'upstream' into the Debian branch
# and then described this commit relative to the last release tag (v...)
# If this should make any sense the local upstream branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'v.[0-9].[0-9]*' $$(git merge-base -a HEAD upstream) | sed -e 's/^v\.//' -e 's/-/+git/' -e 's/\([0-9]\)\([A-Z]\)/\1~\2/g'| tr [A-Z] [a-z])~dfsg.1

%:
	dh $@ --sourcedirectory=$(CURDIR) --builddirectory=$(CURDIR)/build --parallel

# qmake support in dh doesn't manage out of tree builds as intended
# override and pass source dir to qmake manually
override_dh_auto_configure:
	dh_auto_configure -- $(CURDIR)

override_dh_auto_install:
	dh_auto_install
	# remove bits that will come from dependencies
	rm build/Resources/Help/marked.js

override_dh_auto_test:
	# this is likely doing nothing now, but who knows about the future
	dh_auto_test
	# test suite opens interactive pop-up -> gh-1690
	#JASP-Tests/JASPTests
	# R-based tests fail now
	#cd JASP-Tests && R --no-save --no-restore -f run_tests.R

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/R/site-library/RInside/lib/

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz
